/*
Theme Name: CEM Wealth
Theme URI: https://cemstudios.com
Template: hello-elementor
Author: CEM Studios
Author URI: https://cemstudios.com
Description: Hello Elementor is a lightweight and minimalist WordPress theme that was built specifically to work seamlessly with the Elementor site builder plugin. The theme is free, open-source, and designed for users who want a flexible, easy-to-use, and customizable website. The theme, which is optimized for performance, provides a solid foundation for users to build their own unique designs using the Elementor drag-and-drop site builder. Its simplicity and flexibility make it a great choice for both beginners and experienced Web Creators.
Tags: accessibility-ready,flexible-header,custom-colors,custom-menu,custom-logo,featured-images,rtl-language-support,threaded-comments,translation-ready
Version: 1.0.0.1739461082
Updated: 2025-02-13 15:38:02

*/

/* Elementor Button Icon */
.elementor-button-icon {
	display: flex;
	align-self: center;
}

/* Action Pulse Button */
.elementor-button {
	background-color: var(--e-global-color-primary) !important;
	border-color: var(--e-global-color-primary) !important;
	color: var(--e-global-color-61bf961) !important;
	fill: var(--e-global-color-61bf961) !important;
}
.elementor-button:hover {
	background-color: var(--e-global-color-secondary) !important;
	border-color: var(--e-global-color-secondary) !important;
	color: var(--e-global-color-61bf961) !important;
	fill: var(--e-global-color-61bf961) !important;
}

/* Clean Slate Button */
.custom-btn-clean-slate .elementor-button {
	background-color: var(--e-global-color-61bf961) !important;
	border-color: var(--e-global-color-61bf961) !important;
	color: var(--e-global-color-099b52f) !important;
	fill: var(--e-global-color-099b52f) !important;
}
.custom-btn-clean-slate .elementor-button:hover {
	background-color: #E7E7E7 !important;
	border-color: #E7E7E7 !important;
	color: var(--e-global-color-099b52f) !important;
	fill: var(--e-global-color-099b52f) !important;
}

/* Power Move Button */
.custom-btn-power-move .elementor-button {
	background-color: black !important;
	border-color: black !important;
	color: var(--e-global-color-61bf961) !important;
	fill: var(--e-global-color-61bf961) !important;
}
.custom-btn-power-move .elementor-button:hover {
	background-color: var(--e-global-color-2a8c65a) !important;
	border-color: var(--e-global-color-2a8c65a) !important;
	color: var(--e-global-color-61bf961) !important;
	fill: var(--e-global-color-61bf961) !important;
}

/* Price Table Styles */
.e-n-tabs-heading {
	display: flex;
	flex-wrap: wrap;
	background-color: white;
	align-self: center;
	padding: 4px;
	border-radius: 50px;
}

/* Info Box Styles */
.info-box {
	padding-top: 24px;
	padding-right: 16px;
	padding-bottom: 32px;
	padding-left: 16px;
	background-color: var(--e-global-color-61bf961);
	border-radius: 8px;
	box-shadow: 0 16px 20px 0 rgba(0, 0, 0, 0.08);
	transition: all 0.5s ease-in-out;
}
.info-box:hover {
	transform: translateY(-8px);
	box-shadow: 0 24px 20px 0 rgba(0, 0, 0, 0.08);
}

/* Price Table Styles */
.pkg {
    border-radius: 8px;
    overflow: hidden;
	background-color: var(--e-global-color-61bf961);
    box-shadow: 0 16px 20px 0 rgba(0, 0, 0, 0.08);
    transition: all 0.5s ease-in-out;
}
.pkg:hover {
    transform: translateY(-8px);
    box-shadow: 0 24px 20px 0 rgba(0, 0, 0, 0.08);
}
.pkg-tbl-title {
	padding: 16px 24px;
	box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.08);
}
.pkg-info {
    padding: 16px 24px;
}
.pkg-btn-buy {
    padding: 16px 24px;
    border-top: 1px solid rgb(0, 0, 0, 0.05);
}

/* One Time Price Table Styles */
.pkg-ot {
    border-radius: 8px;
    overflow: hidden;
	background-color: var(--e-global-color-61bf961);
    box-shadow: 0 16px 20px 0 rgba(0, 0, 0, 0.08);
    transition: all 0.5s ease-in-out;
}
.pkg-ot:hover {
    transform: translateY(-8px);
    box-shadow: 0 24px 20px 0 rgba(0, 0, 0, 0.08);
}
.pkg-tbl-title-ot {
	padding: 16px 24px;
	background-color: rgb(255, 255, 255, 0.1);
	box-shadow: 0 4px 12px 0 rgba(0, 0, 0, 0.08);
}
.pkg-info-ot {
    padding: 16px 24px;
}
.pkg-btn-buy-ot {
    padding: 16px 24px;
    background-color: rgb(255, 255, 255, 0.1);
    border-top: 1px solid rgb(0, 0, 0, 0.05);
}

/* Popup Styles */
.popup-overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.7);
	justify-content: center;
	align-items: center;
	animation: fadeInUp 0.3s ease-out forwards;
}
.popup-content {
	background: white;
	padding: 20px;
	border-radius: 12px;
	max-height: 90vh;
	overflow-y: auto;
}
.popup-close {
	color: var(--wp--preset--color--vivid-red);
	font-size: 30px;
	cursor: pointer;
}
.popup-close:hover {
	color: var(--e-global-color-099b52f);
}

@media (min-width: 1367px) {
	.popup-content {
		width: 60%;
	}
}

@media (max-width: 1366px) and (min-width: 1025px) {
	.popup-content {
		width: 70%;
	}
}

@media (max-width: 1024px) and (min-width: 768px) {
	.popup-content {
		width: 90%;
	}
}

@media (max-width: 767px) {
	.popup-content {
		width: 90%;
	}
}

/* Entrance Animation */
@keyframes fadeInUp {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}